package be.cylab.java.wowa.training;

import java.util.List;

/**
 * Child class Solution.
 * Fitness criterion is AUC
 */
public class SolutionAUC extends AbstractSolution {
    /**
     * Default constructor.
     * @param weight_number
     */
    public SolutionAUC(final int weight_number) {
        super(weight_number);
    }

    SolutionAUC(final int weight_number, final int seed) {
        super(weight_number, seed);
    }

    final void computeScoreTo(
            final List<List<Double>> data,
            final List<Double> expected) {
        this.fitness_score = 0.0;
        this.fitness_score = -(super.computeAUC(data, expected));
    }
}
